Subject: Re: MPC85xx DMA support for Kernel 2.6?

From: Dan Malek <[email-masked]>
Date: Thu, 30 Jun 2005 14:52:15 -0400

On Jun 30, 2005, at 11:56 AM, Clemens Koller wrote:

> *Sigh*... no holiday for me this summer .-(

Before you start, just make sure such a thing is really a performance
enhancement.  Yes, the DMA does run in parallel with the core, but often
the overhead of the set up and clean up interrupt is more code and time
that if you just copied the data in a loop.  If possible, integrate the 
DMA
processing into other driver work, clean up a previous DMA the next time
the driver needs to use it, not with a separate completion handler.

Thanks.

	-- Dan